---
type: api
title: Get agent binary download sources
description: List all agent binary download sources.<br/><br/>[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-settings-read.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-agent-download-sources
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-agent-download-sources
products:
  - Kibana
---

# Get agent binary download sources

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/agent_download_sources`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

List all agent binary download sources.<br/><br/>[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-settings-read.

## Responses

#### `200`

Successful response

`application/json`

- `items` ([] object · max: 10000)
  - `auth` (object) — nullable
    - `api_key` (string)
    - `headers` ([] object · max: 100)
      - `key` (string)
      - `value` (string)
    - `password` (string)
    - `username` (string)
  - `host` (string)
  - `id` (string)
  - `is_default` (boolean · default: false)
  - `is_preconfigured` (boolean)
  - `name` (string)
  - `proxy_id` (string) — nullable
    The ID of the proxy to use for this download source. See the proxies API for more information.
  - `secrets` (object)
    - `auth` (object)
      - `api_key` (union anyOf)
        - **{ id }**
          - `id` (string)
        - **string**
      - `password` (union anyOf)
        - **{ id }**
          - `id` (string)
        - **string**
    - `ssl` (object)
      - `key` (union anyOf)
        - **{ id }**
          - `id` (string)
        - **string**
  - `ssl` (object)
    - `certificate` (string)
    - `certificate_authorities` ([] string · max: 10)
    - `key` (string)
- `page` (number)
- `perPage` (number)
- `total` (number)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/agent_download_sources
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/agent_download_sources"
```

## Response Examples

#### Get download sources

List of agent binary download sources

```json
{
  "items": [
    {
      "host": "https://artifacts.elastic.co/downloads/",
      "id": "download-source-id-1",
      "is_default": true,
      "name": "Elastic Artifacts"
    }
  ],
  "page": 1,
  "perPage": 20,
  "total": 1
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

